<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Services</title>

  <!-- Favicons -->
  <link href="../../static/img/favicon.png" th:href="@{/img/favicon.png}" rel="icon">
  <link href="../../static/img/apple-touch-icon.png" th:href="@{/img/apple-touch-icon.png}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link
      href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
      rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../../static/vendor/bootstrap/css/bootstrap.min.css"
        th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
  <link href="../../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}"
        rel="stylesheet">
  <link href="../../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}"
        rel="stylesheet">
  <link href="../../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">

</head>

<body>
<form th:replace="fragments/navbar.html :: navbar"></form>

<form th:replace="fragments/navbar.html :: sidebar"></form>

<main id="main" class="main">

  <div class="pagetitle">
    <h1>Cars</h1>
    <nav>
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a th:href="@{/}">Home</a></li>
        <li class="breadcrumb-item"><a th:href="@{/services}">Services</a></li>
      </ol>
    </nav>
  </div><!-- End Page Title -->

  <!-- Cars Section -->
  <div class="col-12">
    <div class="card recent-sales overflow-auto">
      <div class="card-body">
        <br>
        <div th:unless="${#httpServletRequest.getParameter('success') == null}"
             class="alert alert-success alert-dismissible fade show" role="alert">
          <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('success')}"></i>
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div><!-- Success -->
        <div th:unless="${#httpServletRequest.getParameter('error') == null}"
             class="alert alert-danger alert-dismissible fade show" role="alert">
          <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('error')}"></i>
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div><!-- Error -->
        <h5 class="card-title">Services <span>| List</span></h5>
        <table class="table datatable">
          <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Service</th>
            <th scope="col">Price</th>
            <th scope="col">Status</th>
          </tr>
          </thead>
          <tbody>
          <tr th:each="carService:${carServices}">
            <th scope="row">
              <a th:href="@{/services/{carServiceId}(carServiceId=${carService.carServiceId})}"
                 class="text-primary" th:text="${carServiceStat.count}">1</a></th>
            <td th:text="${carService.name}">Name</td>
            <td th:text="${#numbers.formatDecimal(carService.price, 0, 'COMMA', 2, 'POINT') + 'BGN'}">Price</td>
            <td th:unless="${carService.isActive()}"><span class="badge bg-danger">Inactive</span></td>
            <td th:if="${carService.isActive()}"><span class="badge bg-success">Active</span></td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div><!-- End Users Section -->
</main><!-- End #main -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../../static/js/main.js" th:src="@{../js/main.js}"></script>


</body>
</html>